Subject: [Pce] PCE-generated FRR Tunnel Interaction with Scheduling

From: [email-masked]
Date: Tue, 28 Sep 2004 16:51:52 +0300

This question / comment refers to the excellent document
draft-leroux-pce-backup-comp-frwk-00.

We want to use a Centralized PCE (namely an NMS) to calculate FRR bypass
paths for MPLS-TE tunnels carefully taking into account bandwidth sharing.

At the same time, we want to perform Dynamic Adjustment ( as per RFC 3564,
Section 3.6) of Diff-Serv PHB Parameters (and other Traffic Management
Parameters) in order to obtain required NE performance over full range of
load per CoS.

For this, Dynamic adjustment of Traffic Management parameters for each CoS
should take into account the total (primary plus shared protection) load
per CoS on each interface. The primary load is available to the the NE but
it does not know the shared protection load.

How should the NE dynamically adjust traffic parameters to take into
account shared protection load per COS?

I see it as desirable that:-
*  the bandwidth of the bypass tunnels be signaled or configured into each
NE through which the bypass tunnel passes
*  there be an indication this tunnel is a bypass tunnel for which regular
CAC is not performed

But this does not allow it to calculate the shared protection load per CoS
which is known only to the PCE.

Section 10 (Interaction with Scheduling) does not seem to refer to the
issue of NE derivation of shared protection load per CoS required for
Dynamic Traffic Parameter adjustment. Does it assume no dynamic adjustment?
----------------------------------------------------------------------------------------------------

Lionel Silman,  System, Optical Networks Division, ECI Telecom
Tel    Work: +972 (3) 9266007; Home: +972 (3) 6417464

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce

---

From: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>
Date: Tue, 28 Sep 2004 19:37:26 +0200

Hi Lionel,

Thanks a lot for these highly relevant remarks, you raised a good point.

There are actually two options to achieve bandwith sharing at the signaling level
	-Option 1: Signal backup LSPs with zero bandwidth. This allows no extension to RSVP CAC, but requires a coordinated computation of the set of bypass protecting a given facility, to avoid
any bandwidth violation
	-Option 2: Signal backup LSPs with non zero bandwith. This requires extensions to RSVP CAC
(an object to identify backup tunnels, an object to indicate the protected elements)

In this first version we focused on option 1, as this requires no extension to current LSP signaling, but note that the PCE-based backup path computation framework applies equally to option 2.

As you mention, using option 1, LSR have no idea of the amount of shared bandwidth, and this
precludes dynamic adjustement of PHB parameters. Such dynamic adjustement can only be achieved with option 2.

Actually, we could reuse RSVP extensions defined in CCAMP P&R documents, to achieve option 2.
You can signal bypass tunnels using the PROTECTION object, to indicate that the LSP is a Bypass, and the PRIMARY_PATH_ROUTE object to indicate the protected facility, and thus to allow computing the amount of shared bandwidth.
With such extension each LSR would known the shared protection load and could adjust PHB parameters dynamically.

Regards,

JL

>-----Message d'origine-----
>De : [email-masked] 
>[mailto:[email-masked]] De la part de 
>[email-masked]
>Envoyé : mardi 28 septembre 2004 15:52
>À : [email-masked]
>Objet : [Pce] PCE-generated FRR Tunnel Interaction with Scheduling
>
>
>
>
>
>
>We want to use a Centralized PCE (namely an NMS) to calculate 
>FRR bypass paths for MPLS-TE tunnels carefully taking into 
>account bandwidth sharing.
>
>At the same time, we want to perform Dynamic Adjustment ( as 
>per RFC 3564, Section 3.6) of Diff-Serv PHB Parameters (and 
>other Traffic Management
>Parameters) in order to obtain required NE performance over 
>full range of load per CoS.
>
>For this, Dynamic adjustment of Traffic Management parameters 
>for each CoS should take into account the total (primary plus 
>shared protection) load per CoS on each interface. The primary 
>load is available to the the NE but it does not know the 
>shared protection load.
>
>How should the NE dynamically adjust traffic parameters to 
>take into account shared protection load per COS?
>
>*  the bandwidth of the bypass tunnels be signaled or 
>configured into each NE through which the bypass tunnel passes
>*  there be an indication this tunnel is a bypass tunnel for 
>which regular CAC is not performed
>
>But this does not allow it to calculate the shared protection 
>load per CoS which is known only to the PCE.
>
>Section 10 (Interaction with Scheduling) does not seem to 
>refer to the issue of NE derivation of shared protection load 
>per CoS required for Dynamic Traffic Parameter adjustment. 
>Does it assume no dynamic adjustment?